curl -X POST "https://t.ato2.nodesms.com/v1/responses" \
-H "Authorization: Bearer $API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "string"
}'
import openai
client = openai.OpenAI(
api_key="sk-xxxxxx",
base_url="https://t.ato2.nodesms.com/v1"
)
response = client.responses.create(
model="string"
)
print(response.output)
{
"id": "string",
"object": "response",
"created_at": 0,
"status": "completed",
"model": "string",
"output": [
{
"type": "string",
"id": "string",
"status": "string",
"role": "string",
"content": [
{
"type": "string",
"text": "string"
}
]
}
],
"usage": {
"prompt_tokens": 0,
"completion_tokens": 0,
"total_tokens": 0,
"prompt_tokens_details": {
"cached_tokens": 0,
"text_tokens": 0,
"audio_tokens": 0,
"image_tokens": 0
},
"completion_tokens_details": {
"text_tokens": 0,
"audio_tokens": 0,
"reasoning_tokens": 0
}
}
}
Responses Format
OpenAI Responses API for creating model responses. Supports multi-turn conversations, tool calls, reasoning, and more.
POST
/
v1
/
responses
curl -X POST "https://t.ato2.nodesms.com/v1/responses" \
-H "Authorization: Bearer $API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "string"
}'
import openai
client = openai.OpenAI(
api_key="sk-xxxxxx",
base_url="https://t.ato2.nodesms.com/v1"
)
response = client.responses.create(
model="string"
)
print(response.output)
{
"id": "string",
"object": "response",
"created_at": 0,
"status": "completed",
"model": "string",
"output": [
{
"type": "string",
"id": "string",
"status": "string",
"role": "string",
"content": [
{
"type": "string",
"text": "string"
}
]
}
],
"usage": {
"prompt_tokens": 0,
"completion_tokens": 0,
"total_tokens": 0,
"prompt_tokens_details": {
"cached_tokens": 0,
"text_tokens": 0,
"audio_tokens": 0,
"image_tokens": 0
},
"completion_tokens_details": {
"text_tokens": 0,
"audio_tokens": 0,
"reasoning_tokens": 0
}
}
}
Headers
string
required
Bearer token authentication. Format:
Authorization: Bearer sk-xxxxxxBody
Format:application/json
string
required
Model ID
string | object[]
Input content, can be a string or an array of messages
string
System instructions
integer
Maximum number of output tokens
number
Sampling temperature
number
Nucleus sampling parameter
boolean
Whether to stream the response
object[]
List of tools
string | object
Tool selection strategy
object
Reasoning parameters
string
Previous response ID, used for multi-turn conversations
string
Truncation strategy. Options:
"auto" or "disabled"Response
200 Successfully created response
Format:application/json
string
Response ID
string
Object type, value is
responseinteger
Creation timestamp
string
Status. Options:
completed, failed, in_progress, incompletestring
Model ID
object[]
object
Token usage information
Show Properties
Show Properties
integer
Prompt token count
integer
Completion token count
integer
Total token count
object
curl -X POST "https://t.ato2.nodesms.com/v1/responses" \
-H "Authorization: Bearer $API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "string"
}'
import openai
client = openai.OpenAI(
api_key="sk-xxxxxx",
base_url="https://t.ato2.nodesms.com/v1"
)
response = client.responses.create(
model="string"
)
print(response.output)
{
"id": "string",
"object": "response",
"created_at": 0,
"status": "completed",
"model": "string",
"output": [
{
"type": "string",
"id": "string",
"status": "string",
"role": "string",
"content": [
{
"type": "string",
"text": "string"
}
]
}
],
"usage": {
"prompt_tokens": 0,
"completion_tokens": 0,
"total_tokens": 0,
"prompt_tokens_details": {
"cached_tokens": 0,
"text_tokens": 0,
"audio_tokens": 0,
"image_tokens": 0
},
"completion_tokens_details": {
"text_tokens": 0,
"audio_tokens": 0,
"reasoning_tokens": 0
}
}
}
Last modified on October 28, 2026
Was this page helpful?